aboutsummaryrefslogtreecommitdiffstats
path: root/plans/policy/distribution
diff options
context:
space:
mode:
authorBilal A <bilal@research.att.com>2019-06-07 21:25:59 +0000
committerBilal A <bilal@research.att.com>2019-07-03 16:06:05 +0000
commitd46ab2eb2f4254adbe2b9f604b12c0a7f4bf99ed (patch)
tree9c78e684c231f69dd42fbb29d2e9bfbea68f82d7 /plans/policy/distribution
parent4a70dd3bcf1dde19d511f528650b08714b92448f (diff)
Pull correct docker images for master branch
Enables Policy CSITs for API, PAP, Distribution, Drools-applications, Apex-PDP and XACML-PDP to pull correct docker images based on the code branch. -------------- Updating the policy model json in apex-pdp csit Changes were made to read the policy model as proper json instead of json formatted string in APEX-PDP. With this fix in place, the policy tosca json file need to be updated with the proper json. Issue-ID: POLICY-1836 Issue-ID: POLICY-1796 Change-Id: I6b99c8ae9cb78dd8ebddc522bc2a7080ec6e5735 Signed-off-by: a.sreekumar <ajith.sreekumar@est.tech> Signed-off-by: Bilal A <bilal@research.att.com>
Diffstat (limited to 'plans/policy/distribution')
-rw-r--r--plans/policy/distribution/setup.sh22
1 files changed, 15 insertions, 7 deletions
diff --git a/plans/policy/distribution/setup.sh b/plans/policy/distribution/setup.sh
index 40a15d12..a7c0a8da 100644
--- a/plans/policy/distribution/setup.sh
+++ b/plans/policy/distribution/setup.sh
@@ -16,16 +16,24 @@
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================
+# Select branch
+source ${SCRIPTS}/policy/config/policy-csit.conf
+echo ${GERRIT_BRANCH}
-docker run -d --name policy-distribution -p 6969:6969 -it nexus3.onap.org:10001/onap/policy-distribution:2.1.0-SNAPSHOT-latest
+sudo apt-get -y install libxml2-utils
+export POLICY_DISTRIBUTION_VERSION="$(curl -q --silent https://git.onap.org/policy/distribution/plain/pom.xml?h=${GERRIT_BRANCH} | xmllint --xpath '/*[local-name()="project"]/*[local-name()="version"]/text()' -)"
+echo ${POLICY_DISTRIBUTION_VERSION}
+docker run -d --name policy-distribution -p 6969:6969 -it nexus3.onap.org:10001/onap/policy-distribution:${POLICY_DISTRIBUTION_VERSION}
POLICY_DISTRIBUTION_IP=`get-instance-ip.sh policy-distribution`
echo DISTRIBUTION IP IS ${POLICY_DISTRIBUTION_IP}
-# Wait for initialization
-for i in {1..10}; do
- curl -sS ${POLICY_DISTRIBUTION_IP}:6969 && break
- echo sleep $i
- sleep $i
-done
+
+${SCRIPTS}/policy/wait_for_port.sh ${POLICY_DISTRIBUTION_IP} 6969
+rc=$?
+if [[ $rc != 0 ]]; then
+ echo "cannot open ${POLICY_DISTRIBUTION_IP} 6969"
+ docker logs policy-distribution
+ exit $rc
+fi
ROBOT_VARIABLES="-v POLICY_DISTRIBUTION_IP:${POLICY_DISTRIBUTION_IP}"